Bug 112775 - savedefault --once logic error
Summary: savedefault --once logic error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-31 15:51 UTC by Pádraig Brady
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 10:58:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pádraig Brady 2003-12-31 15:51:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
There is a problem with the "savedefault --once" functionality
I think. The default entry and "once only entry" are not independent,
and so after a "once only boot" the default entry will be reset to 0.
I can't see how that would ever be required (especially
if the "once only entry" is also 0).

I've modified the patch to make these independent so you
don't loose your previous default entry.

could this be applied?

http://www.pixelbeat.org/patches/grub-0.93-once.diff

Version-Release number of selected component (if applicable):
grub-0.93-4

How reproducible:
Always

Comment 1 Jeremy Katz 2004-01-03 20:41:26 UTC
Will be in -8.

Comment 2 Patrick C. F. Ernzer 2004-09-02 11:18:57 UTC
grub-0.94-5 still has no mention of '--once' in the info page (at
least when going through the index to savedefault.

Can this please be added in a future version?

Suggested text:
[start]
you can also use 'savedefault --once' to boot once into the selected
entry. This is both useful if you are testing a new kernel remotely
(if it fails you just reboot the machine and the previous selection
comes up) and when you need to boot some other OS just once and want
to grab a coffe while the machine reboots instead of waiting for the
gub prompt to come up.
[end]




Note You need to log in before you can comment on or make changes to this bug.